{% extends 'morello.jinja2' %}
{% set connection_list = ['uart0', 'uart1', 'uart2', 'uart3', 'uart4', 'uart5', 'uart6'] %}
{% set connection_commands = {
  'uart0': 'telnet morello-worker01 7132',
  'uart1': 'telnet morello-worker01 7133',
  'uart2': 'telnet morello-worker01 7134',
  'uart3': 'telnet morello-worker01 7135',
  'uart4': 'telnet morello-worker01 7136',
  'uart5': 'telnet morello-worker01 7137',
  'uart6': 'telnet morello-worker01 7138'
} %}
{% set connection_tags = {
  'uart0': ['primary', 'telnet'],
  'uart1': ['telnet'],
  'uart2': ['telnet'],
  'uart3': ['telnet'],
  'uart4': ['telnet'],
  'uart5': ['telnet'],
  'uart6': ['telnet']
} %}

{# Power connected to PDU01, port 17 #}
{# Power control via telnet to MCC, port 7139 #}

{% set power_on_command = '/usr/local/lab-scripts/morello-power-control morello-worker01 7139 reboot' %}
{% set power_off_command = '/usr/local/lab-scripts/morello-power-control morello-worker01 7139 shutdown' %}
{% set hard_reset_command = '/usr/local/lab-scripts/morello-power-control morello-worker01 7139 reboot' %}

{% set device_ip = '10.7.0.111' %}
{% set device_mac = '00:02:f7:00:97:ea' %}
{% set usb_device_id = 0 %}
{% set usb_filesystem_label = 'MORELLO05' %}
{% set usb_label = 'usb_storage_device' %}
{% set usb_uuid = '60EC-E564' %}
{% set device_info = [{'board_id': '10.7.0.111:5555'}] %}
{% set sdmux_disk = '/dev/disk/by-id/usb-LinuxAut_sdmux_HS-SD_MMC_000000001464-0:0' %}
{% set sdmux_command_dut = 'usbsdmux /dev/usb-sd-mux/id-000000001464 dut' %}
{% set sdmux_command_host = 'usbsdmux /dev/usb-sd-mux/id-000000001464 host' %}
{% set sync_to_lava = {'device_type': 'morello', 'worker': 'morello-worker01.lavalab', 'tags': ['morello05'], 'aliases': []} %}
